LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XStarBasicModuleInfo Interface Referencepublished

Script Module containing some scripting code in a certain scripting language. More...

`import"XStarBasicModuleInfo.idl";`

Inheritance diagram for XStarBasicModuleInfo:

## Public Member Functions
string | getName ()
| returns the name of the module More...
string | getLanguage ()
| returns the type of the script language as string, for example, "StarBasic" or "JavaScript". More...
string | getSource ()
| returns the script source code as string. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Script Module containing some scripting code in a certain scripting language.

Deprecated:

## Member Function Documentation

## ◆ getLanguage()

string getLanguage | ( |  | ) |

returns the type of the script language as string, for example, "StarBasic" or "JavaScript".

## ◆ getName()

string getName | ( |  | ) |

returns the name of the module

## ◆ getSource()

string getSource | ( |  | ) |

returns the script source code as string.

The code has to correspond with the language defined by Language.

The documentation for this interface was generated from the following file:

- com/sun/star/script/XStarBasicModuleInfo.idl